package feud.testgame;

import com.threed.jpct.util.*;
import java.awt.event.*;

/**
 * A very simple class that contains key states. This has to be improved to support key mappings and such things.
 */
public class KeyStates {

    public static boolean up = false;
    public static boolean down = false;
    public static boolean left = false;
    public static boolean right = false;
    public static boolean exit = false;
    public static boolean lookUp = false;
    public static boolean lookDown = false;
    public static boolean fire=false;
    public static boolean bloom = false;
    public static boolean one=false;
    public static boolean two=false;
    public static boolean three=false;
    public static boolean tab=false;

    /**
     * Polls the keys.
     * @param keyMapper KeyMapper the current key mapper
     */
    public static void poll(KeyMapper keyMapper) {
        KeyState ks = null;
        while ((ks = keyMapper.poll()) != KeyState.NONE) {
            if (ks.getKeyCode() == KeyEvent.VK_UP) {
                up = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_DOWN) {
                down = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_SPACE) {
                fire = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_TAB) {
                tab=ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_1) {
                one = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_2) {
                two = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_3) {
                three = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_PAGE_DOWN) {
                lookUp = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_PAGE_UP) {
                lookDown = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_LEFT) {
                left = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_RIGHT) {
                right = ks.getState();
            }
            if (ks.getKeyCode() == KeyEvent.VK_B) {
                if (ks.getState()) {
                    bloom = !bloom;
                }
            }
            if (ks.getKeyCode() == KeyEvent.VK_ESCAPE) {
                exit = ks.getState();
            }
        }
    }
}
